> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新组织分组限制

> 更新组织分组配置

需要 `ManageOrganizations` 权限。

<Note>
  此 endpoint 要求已为你的 Enterprise 启用组织分组限制功能。要启用该功能，请联系你的客户团队。
</Note>

将使用提供的配置替换整个组织分组配置。未包含在请求中的分组将被删除，包含在请求中的分组将被创建或更新，以匹配提供的配置。每个分组会将一组组织 ID 映射到一个可选的、按计费周期计算的 Agent Compute Unit 最大 `limit`。


## OpenAPI

````yaml zh/v3-openapi.yaml PUT /v3/enterprise/org-group-limits
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/org-group-limits:
    put:
      tags:
        - org-groups
      summary: 更新组织分组配置
      description: |-
        更新组织分组配置。

        此端点会用请求中提供的配置替换整个组织分组配置。
        - 请求中未包含的组将被删除
        - 请求中包含的组将被创建或更新，以与该配置保持一致
      operationId: update_org_groups_config_v3_enterprise_org_group_limits_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgGroupsConfig'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgGroupsConfig'
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    OrgGroupsConfig:
      description: 用于将组名映射到其对应设置的映射配置。
      properties:
        groups:
          additionalProperties:
            $ref: '#/components/schemas/OrgGroupConfig'
          title: Groups
          type: object
      required:
        - groups
      title: OrgGroupsConfig
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrgGroupConfig:
      properties:
        max_cycle_acus:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Cycle Acus
        org_ids:
          items:
            type: string
          title: Org Ids
          type: array
          uniqueItems: true
      required:
        - org_ids
      title: OrgGroupConfig
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````